Bug 477060 - yum repodata xml should use sha256 for file checksums
yum repodata xml should use sha256 for file checksums
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server (Show other bugs)
unspecified
All Linux
low Severity medium
: ---
: ---
Assigned To: Michael Mráka
Red Hat Satellite QA List
:
Depends On:
Blocks: 477043 477064
  Show dependency treegraph
 
Reported: 2008-12-18 16:21 EST by Pradeep Kilambi
Modified: 2011-05-17 06:02 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-17 06:02:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pradeep Kilambi 2008-12-18 16:21:49 EST
We need to use sha256 in the yum repo data xml when generating the cache files on server. primarily repomd.xml is of interest here.  This probably holds good for hosted as well. So we need a clone for that.
Comment 2 Michael Mráka 2010-01-19 12:14:15 EST
Spacewalk 0.8 / Satellite 5.4 can can generate any sha-1, sha-2 checksum for repo data.
The work was done as a part of Spacewalk 0.8 development.
Comment 5 Michael Mráka 2011-05-17 06:02:47 EDT
Satellite 5.4.0 already handles sha256 yum repos.
Closing this bz.

Note You need to log in before you can comment on or make changes to this bug.